Microsoft.Build.Utilities 2.0.0.0 System.Object Microsoft.Build.Framework.ILogger

This abstract class provides default implementations for the methods and properties of the interface.

This class can only be instantiated in a derived form.

When overridden in a derived form, provides functionality for loggers that handle events raised by the vstecmsbuild engine.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.String `` To be added.

  Generates an error message that is in the default format, from a object.

  A that represents an error message in canonical format.

  The arguments of the error event. 2.0.0.0
- Method
  System.String `` To be added.

  Generates a warning message that is in the default format, from a object.

  A that represents a warning message in canonical format.

  The arguments of the warning event. 2.0.0.0
- Method
  System.Void ``

  This method must be overridden in the derived class to perform initialization logic and to subscribe to build events published by .

  When overridden in a derived class, subscribes the logger to specific events.

  The available events that a logger can subscribe to. 2.0.0.0
- Method
  System.Boolean `` To be added. To be added.

  Determines whether the current setting is at least the value that is passed in.

  true if the current logger verbosity setting is at least the value that is passed in; otherwise, false.

  2.0.0.0
- Property
  System.String To be added.

  If the derived class does not take parameters, then it can ignore this property.

  Gets or sets the user-defined parameters of the logger.

  2.0.0.0
- Method
  System.Void

  This method can be overridden in the derived class to perform shutdown logic, such as releasing acquired resources.

  When overridden in a derived class, releases the resources allocated to the logger at the time of initialization or during the build.

  2.0.0.0
- Property
  Microsoft.Build.Framework.LoggerVerbosity To be added.

  While a logger is free to choose the events it logs, following the verbosity guidelines creates a consistent user experience.

  Gets or sets the level of detail to show in the event log.

  2.0.0.0